@import "./reset.css";
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600&family=Roboto+Flex:opsz,wght@8..144,400;8..144,500;8..144,600&display=swap');

body {
    font-family: 'Inter', sans-serif;
    font-size: 15px;
    background-color: #EAECF0;
    color: rgb(2, 20, 37);
}

label {
    display: inline-block;
    width: 100%;
}

input {
    width: 450px;
    padding: 17px 14.3px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 9px;
    transition: border 0.2s ease-in;
}

input:focus {
    border: 1px solid rgb(146, 146, 146);
}

button:hover {
    background-color: #62825D;
}

button:active {
    background-color: transparent;
    border: 1px solid #62825D;
}

.none {
    display: inline-block;
    width: 83%;
}

.invisible {
    visibility: hidden;
}


.auth {
    position: relative;
    width: 100%;
    height: 100vh;
}

.auth__block {
    position: absolute;
    padding: 31px 45px 41px;
    width: 541px;
    top: 50%;
    left: 50%;

    transform: translate(-50%,-50%);
    background-color: #FFF;
    border-radius: 25px;
}

.reg__block {
    width: 1020px;
}

.auth-desc {
    margin: 26px 0 43px;
}

.auth-desc h1 {
    font-size: 25px;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 14px;
}

.auth-desc p {
    color: rgba(2, 20, 37, 0.8);
    font-size: 13.5px;
    font-weight: 400;
    line-height: 1;
    letter-spacing: -1.5%;
}

.password-row {
    display: flex;
    justify-content: space-between;
}

.password-row a {
    color: #526E48;
    font-size: 13.31px;
    line-height: 16px;
}

.form-group {
    display: flex;
    justify-content: space-between;
}

.input-group {
    margin-bottom: 15px;
}

.email-reset {
    margin-bottom: 32px;
}

.input-pass-reg {
    margin-bottom: 15px;
}

.input-group p {
    font-weight: 600;
    line-height: 1;
    margin-bottom: 15px;
}

.label-row {
    display: flex;
    position: relative;
}

.eyes-pass {
    position: absolute;
    right: 14.5px;
    top: 20px;
    display: inline-block;
	width: 14px;
	height: 14px;
    background: url(../img/eyes.svg) 0 0 no-repeat;
}

.eyes-pass.view {
    background: url(../img/eyes-close.svg) 0 0 no-repeat;
}

.btn {
    position: relative;
    margin-bottom: 50px;
    margin-top: 10px;

    margin-bottom: 32px;
    height: 55px;
    width: 450px;

    font-weight: 600;
    line-height: 1;

    border-radius: 9px;
    background-color: #9EDF9C;
    transition: background-color 0.3s ease-in;
}

.btn-reg {
    margin-top: 35px;
}

.access-btn-wrapper {
    display: flex;
    flex-direction: column;
    position: relative;
}

.error-btn-wrapper {
    position: relative;
}

.input-error {
    display: none;
    margin-bottom: 15px;
    font-family: 'Roboto Flex', sans-serif;
    color: rgb(250, 46, 46);
    font-size: 16px;
    font-weight: 500;
    line-height: 19px;
}

.input-error-reset {
    top: -25px;
}

.input-access {
    position: absolute;
    top: -10px;
    left: 0;

    color: rgb(34, 168, 22);
    font-family: 'Roboto Flex', sans-serif;
    font-size: 13.5px;
    font-weight: 700;
    line-height: 1.5;

    opacity: 0;
    z-index: -1;
}

.input-access-reset {
    top: -25px;
}

.help-me {
    display: flex;
    justify-content: space-between;
    margin-bottom: 32px;
    width: 450px;
}

.help-me p {
    color: rgba(2, 20, 37, 0.8);
    font-size: 13.5px;
    font-weight: 500;
    line-height: 16px;

    text-align: center;
}

.support-btn__wrapper {
    display: flex;
    justify-content: space-between;
    column-gap: 12px;
    width: 450px;
}

.support-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 14px 29px;
    width: 219px;

    border: 1px solid rgb(226, 226, 226);
    border-radius: 7px;
}

.support-btn a {
    color: rgba(2, 20, 37, 0.8);
    font-size: 14px;
    line-height: 17px;
    margin-left: 7px;
}

.now-user {
    font-size: 13.5px;
    line-height: 1;
    padding-bottom: 20px;
    padding-left: 60px;
}

.now-user a {
    color: #526E48;
}

.now-user-reg {
    bottom: 15px;
    left: 42%;
}

/* Settings */

.main__wrapper {
    display: flex;
    position: relative;
}

.main-content {
    position: absolute;
    left: 20%;
    width: 80%;
}

.setting {
    position: fixed;
    background-color: #FFF;
    width: 250px;
    height: 100vh;
    border: 1px solid rgba(0, 0, 0, 0.06);
}

.logo {
    padding-top: 34px;
    padding-left: 25px;
}

.nav-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.setting-nav__list {
    margin-top: 44px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.settings-nav__item {
    display: flex;
    align-items: center;
    padding: 12px 0 12px 16px;
    width: 200px;
    height: 46px;
    color: rgba(2, 20, 37, 0.5);
    font-size: 15px;
    font-weight: 600;
    line-height: 1;
    transition: all 0.3s ease-in;
}

.settings-nav__item p {
    margin-left: 10px;
}

.settings-nav__item:hover {
    border-radius: 8px;
    background: rgb(196, 196, 196, 0.2);
}

.settings-nav__item.active {
    color: #FFF;
    border-radius: 8px;
    box-shadow: 0px 16px 16px 0px #EBFFED;
    background: #526E48;
}

.settings-nav__item.active a {
    color: #FFF;
}

.settings-nav__item a {
    margin-left: 10px;
    color: rgba(2, 20, 37, 0.5);
    font-size: 15px;
    font-weight: 600;
    line-height: 22px;
}

.contacts {
    color: rgb(2, 20, 37);
}

.contacts-card {
    margin-bottom: 23px;
    margin-left: 20px;
    width: 205px;
    border-top: 1px solid rgba(2, 20, 37, 0.1);
}

.contacts-wrapper {
    display: flex;
    margin-top: 20px;
    cursor: pointer;
}

.contacts-img.lightning  {
    width: 37px;
    height: 37px;
    border: 2px solid #FFF;
    background-image: url(../img/lightning.svg);
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 68px;
    box-shadow: 0px 0px 0.88px 0.88px rgba(150, 150, 150, 0.12),0px 2.64px 7.05px 0px rgba(0, 0, 0, 0.03);
    background-color: rgb(234, 237, 240);
}

.contacts-img.user {
    display: inline-block;
    width: 42px;
    height: 42px;
    border: 2px solid #FFF;
    background-image: url(../img/avatar-user.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 52px;
    border-radius: 68px;
    box-shadow: 0px 0px 0.88px 0.88px rgba(150, 150, 150, 0.12),0px 2.64px 7.05px 0px rgba(0, 0, 0, 0.03);
    background-color: rgb(234, 237, 240);
}

.contacts-img.supp {
    width: 42px;
    height: 42px;
    border: 2px solid #FFF;
    background-image: url(../img/manager.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 52px;
    border-radius: 68px;
    box-shadow: 0px 0px 0.88px 0.88px rgba(150, 150, 150, 0.12),0px 2.64px 7.05px 0px rgba(0, 0, 0, 0.03);
    background-color: rgb(234, 237, 240);
}

.contacts-info {
    margin-left: 11px;
}

.contacts-info h6 {
    font-size: 15px;
    font-weight: 700;
    line-height: 1;
    margin-bottom: 5px;
}

.contacts-info p {
    opacity: 0.5;
    font-size: 13px;
    font-weight: 400;
    line-height: 16px;
    text-decoration: underline;
}

#manager {
    text-decoration: none;
}

.contacts-manager {
    display: flex;
    flex-direction: column;
    margin-top: 9px;
    margin-left: -2px;
}

.contacts-manager a {
    color: rgb(2, 20, 37);
    font-size: 14px;
    line-height: 17px;
    font-weight: 500;
}

.contacts-manager a + a {
    margin-top: 6px;
}

.contacts-manager-link {
    display: flex;
    align-items: center;
    column-gap: 4px;
    margin-bottom: 5px;
}

.contacts-manager-link:last-child {
    margin-top: 3px;
    margin-bottom: 0;
}

/* Header Bar */

.header-top {
    display: flex;
    max-width: 1280px;
    height: 70px;
    margin: 25px 0 25px 0px;
    background-color: #FFF;
    border-radius: 12px;
    box-shadow: 0px -1px 32px -2px rgba(0, 0, 0, 0.08);
}

.header-nav {
    position: relative;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 13px 53px 13px 0;
}

.popup-user {
    position: absolute;
    display: block;
    padding: 9px 5px 7px 6px;
    top: 85px;
    right: 20px;
    width: 201px;
    height: 104px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.06),0px 9px 28px 0px rgba(0, 0, 0, 0.08);
}

.popup-user .arrow-up {
    position: absolute;
    top: -16px;
    left: 22px;
    width: 17px;
    height: 17px;
    clip-path: polygon(50% 40%, 0% 100%, 100% 100%);
    background-color: #fff;
    box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.06),0px 9px 28px 0px rgba(0, 0, 0, 0.08);
}

.popup-border {
    display: block;
    width: 190px;
    margin: 8px 0;
    border: 1px solid rgba(0, 0, 0, 0.06);
}

.popup-user__item {
    height: 36px;
    padding: 10px 0 10px 10px;
    border-radius: 4px;
}

.popup-user__item:hover {
    background: rgb(246, 246, 246);
}

.popup-user__item a {
    color: rgba(2, 20, 37, 0.8);
    font-size: 14px;
    font-weight: 500;
    line-height: 1;
}

.content {
    overflow-y: auto;
    overflow-x: hidden;
    margin-bottom: 25px;
    padding: 34px 0 50px 44px;
    max-width: 1280px;
    border-radius: 12px;
    background-color: #fff;
    box-shadow: 0px -1px 32px -2px rgba(0, 0, 0, 0.08);
}

.settings-description {
    margin-bottom: 28px;
    width: 547px;
}

.questions-wrapper {
    width: 100vw;
}

.setting-title {
    opacity: 0.8;
    font-size: 24px;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 12px;
}

.settings-desc {
    opacity: 0.6;
    font-size: 14px;
    line-height: 1.54;
    margin-bottom: 17px;
}

.settings-description span {
    opacity: 0;
    visibility: hidden;
    color: rgb(34, 168, 22);
    font-family: 'Roboto Flex', sans-serif;
    font-size: 17px;
    font-weight: 500;
    line-height: 20px;
}

/* Edit Information */

.edit-info-wrapper {
    display: flex;
    width: 100vw;
    column-gap: 100px;
}

.btn-edit {
    height: 46px;
    width: 305px;
    color: #fff;
    background-color: #526E48;
    border-radius: 8px;
    font-size: 14px;
    font-weight: 600;
    line-height: 1;
    transition: background-color 0.3s ease-in;
}

.edit-information button {
    margin: 32px 0 0;
    height: 46px;
    width: 300px;

    color: #FFF;
    font-size: 14px;
    font-weight: 600;
    line-height: 1;

    border-radius: 8px;
    background-color: #62825D;
    transition: background-color 0.3s ease-in;
}

.edit-info {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    column-gap: 44px;
    width: 654px;
    height: 357px; 
}

.label {
    width: 305px;
    margin-bottom: 23px;
}

.label > input[type=tel] {
    width: 305px;
    height: 44px;
}

.label p {
    font-weight: 500;
    margin-bottom: 11px;
}

.input {
    width: 305px;
    height: 44px;
}

.input::placeholder {
    font-size: 14px;
}

.alert-msg {
    opacity: 0.5;
    width: 305px;
    font-size: 12.5px;
    line-height: 1.18;
    margin-top: 10px;
}

.edit-photo {
    position: relative;
    width: 222px;
}

.edit-photo p {
    margin-bottom: 20px;
}

.user-photo {
    display: inline-block;
    background-image: url(../img/user.svg);
    background-repeat: no-repeat;
    background-position: center;
    width: 56px;
    height: 56px;
    border: 3px solid rgb(245, 247, 248);
    border-radius: 32px;
    box-shadow: 0px 0px 1.32px 1.32px rgba(150, 150, 150, 0.12),0px 3.95px 10.54px 0px rgba(0, 0, 0, 0.03);
    background-color: rgb(242, 245, 248);
}

.upload-photo {
    display: none;
}

.custom-input {
    display: inline-block;
    padding: 6px 8px;
    margin-left: 17px;

    color: rgba(2, 20, 37, 0.7);
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    line-height: 1;

    position: absolute;
    bottom: 7px;
    width: 101px;
    height: 24px;

    border: none;
    background-color: rgba(2, 20, 37, 0.1);
    border-radius: 5px;
}

.edit-password {
    width: 305px;
}

.edit-password h4 {
    font-size: 17px;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 31px;
}

.change-pass > .eyes-pass {
    top: 15px;
}

/* Label entity */

.content-entity {
    padding: 35px 0 48px 44px;
    width: 1269px;
    border-radius: 12px;
    background-color: #fff;
    box-shadow: 0px -1px 32px -2px rgba(0, 0, 0, 0.08);
}

.edit-entity-wrapper {
    display: flex;
    flex-direction: column;
}

.edit-entity-information {
    width: 1059px;
}

.edit-entity-information h4 {
    font-size: 17px;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 31px;
}

.edit-entity-info {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    height: 330px;
}

.label-entity {
    width: 571px;
    margin-bottom: 23px;
}

.label-entity p {
    color: rgba(2, 20, 37, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
    margin-bottom: 11px;
}

.label-entity input {
    width: 571px;
    height: 44px;
}

.label-entity input::placeholder {
    font-size: 14px;
    font-weight: 400;
    line-height: 1;
}

.label-entity > .alert-msg {
    width: 440px;
}

.text-area {
    width: 465px;
    margin-bottom: 0;
}

.label-entity > .text-requisites {
    padding: 17px 14.3px;
    resize: none;
    width: 465px;
    height: 230px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 8px;
}

.edit-entity-information button {
    margin: 32px 0 0;
    height: 46px;
    width: 300px;

    color: #FFF;
    font-size: 14px;
    font-weight: 600;
    line-height: 1;
    
    border-radius: 8px;
    background-color: #62825D;
    transition: background-color 0.3s ease-in;
}

.edit-entity-information button:hover {
    background-color: rgb(255, 145, 0);
}

/* API */

.label-api {
    width: 911px;
}

.label-api p {
    color: rgba(2, 20, 37, 0.5);
    font-size: 12.5px;
    line-height: 1.18;
}

.input-api {
    width: 911px;
    margin-bottom: 10px;
}

.api-info {
    height: auto;
}

.edit-information .submit-api {
    margin: 0;
    width: 190px;
    height: 46px;
}

.submit-api:hover {
    background-color: rgb(255, 145, 0);
}

/* accordion */

.accordion-item {
    padding: 20.5px 0 22.5px;
    cursor: pointer;
}

.accordion-item:not(:last-child) {
    width: 1156px;
    border-bottom: 1px solid rgba(30, 35, 41, 0.2);
}

.accordion-item__trigger {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 1156px;

    color: rgba(2, 20, 37, 0.7);
    font-size: 17px;
    font-weight: 600;
    line-height: 1;
}

.content-accordion {
    display: none;
    margin-top: 11px;
    color: rgba(2, 20, 37, 0.8);
    font-size: 13.5px;
    font-weight: 400;
    line-height: 1.45;
}

/* All Segment */

.new-segment {
    position: relative;
    width: 640px;
    margin-bottom: 48px;
}

.new-segment-wrapper {
    margin-right: 25px;
}

.new-segment-desc {
    width: 640px;
}

.error-alert-new-segment {
    position: absolute;
    bottom: -25px;
    color: rgb(250, 46, 46);
    font-family: 'Roboto Flex', sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 19px;
    display: none;
}

.form-new-segment {
    display: flex;
    flex-direction: column;
    margin-bottom: 17px;
}

.form-new-segment h4 {
    font-size: 17px;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 31px;
}

.label-new-segment {
    width: 465px;
    margin-bottom: 31px;
}

.label-new-segment p {
    color: rgba(2, 20, 37, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
    margin-bottom: 11px;
}

.input-new-segment {
    padding: 15px 14.3px;
}

.input-last-mb {
    margin-bottom: 11px;
}

.input-new-segment::placeholder {
    font-size: 14px;
}

.label-new-segment > .norequired {
    color: rgba(2, 20, 37, 0.5);
    font-size: 12.5px;
    font-weight: 500;
    line-height: 1.18;
}

.title-date {
    position: relative;
    display: flex;
    column-gap: 5px;
    margin-bottom: 28px;
    font-size: 24px;
    font-weight: 600;
    opacity: 0.8;
}

.title-about__title {
    position: absolute;
    display: inline-block;
    padding: 11px;
    bottom: 40px;
    left: 120px;
    width: 201px;
    color: rgba(2, 20, 37, 0.8);
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    line-height: 1.18;
    border-radius: 8px;
    box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.06), 0px 9px 25px 0px rgba(0, 0, 0, 0.11);
    background: rgb(255, 255, 255);
}

.title-about__title::after {
    content: '';
    position: absolute;
    width: 17px;
    height: 12px;
    bottom: -12px;
    left: 93px;
    clip-path: polygon(50% 40%, 0% 100%, 100% 100%);
    background-color: #fff;
    transform: rotate(180deg);
}

.form-radio-new-segment {
    display: flex;
    justify-content: space-between;
    width: 464px;
    margin-bottom: 14px;
}

.radio-wrapper {
    display: flex;
    align-items: center;
}

.radio-wrapper p {
    margin-left: 7px;
    margin-right: 3px;
}

.radio-btn {
    width: auto;
    display: inline-block;
}

.domens-about {
    position: relative;
    display: flex;
}

.domens-about:hover {
    opacity: 1;
    z-index: 1;
    visibility: visible;
}

.domens-about-block {
    position: absolute;
    display: inline-block;
    padding: 11px;
    bottom: 32px;
    left: -95px;

    width: 201px;

    color: rgba(2, 20, 37, 0.8);
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    line-height: 1.18;

    border-radius: 8px;
    box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.06),0px 9px 25px 0px rgba(0, 0, 0, 0.11);
    background: rgb(255, 255, 255);
}

.domens-about-block::after {
    content: '';
    position: absolute;
    width: 17px;
    height: 12px;
    bottom: -12px;
    left: 93px;
    clip-path: polygon(50% 40%, 0% 100%, 100% 100%);
    background-color: #fff;
    transform: rotate(180deg);
}

.domens-about-block-sms {
    position: absolute;
    display: inline-block;
    padding: 11px;
    bottom: 32px;
    left: -95px;

    width: 201px;

    color: rgba(2, 20, 37, 0.8);
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    line-height: 1.18;

    border-radius: 8px;
    box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.06),0px 9px 25px 0px rgba(0, 0, 0, 0.11);
    background: rgb(255, 255, 255);
}

.domens-about-block-sms::after {
    content: '';
    position: absolute;
    width: 17px;
    height: 12px;
    bottom: -12px;
    left: 93px;
    clip-path: polygon(50% 40%, 0% 100%, 100% 100%);
    background-color: #fff;
    transform: rotate(180deg);
}

.domens-about-block-phone {
    position: absolute;
    display: inline-block;
    padding: 11px;
    bottom: 32px;
    left: -95px;

    width: 201px;

    color: rgba(2, 20, 37, 0.8);
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    line-height: 1.18;

    border-radius: 8px;
    box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.06),0px 9px 25px 0px rgba(0, 0, 0, 0.11);
    background: rgb(255, 255, 255);
}

.domens-about-block-phone::after {
    content: '';
    position: absolute;
    width: 17px;
    height: 12px;
    bottom: -12px;
    left: 93px;
    clip-path: polygon(50% 40%, 0% 100%, 100% 100%);
    background-color: #fff;
    transform: rotate(180deg);
}

.last-radio-mb {
    margin-bottom: 14px;
}

.type-data {
    color: rgba(2, 20, 37, 0.5);
    font-size: 11.5px;
    font-weight: 500;
    line-height: 1.18;
    margin-bottom: 35px;
}

.add-new-segment-inner {
    display: flex;
    column-gap: 80px;
}

.add-new-segment-inner h4 {
    color: rgba(2, 20, 37, 0.8);
    font-weight: 600;
    line-height: 1;
    margin-bottom: 11px;
}

.form-data-segment {
    display: flex;
    flex-direction: column;
}

.tele2-megafon-radio {
    font-size: 14px;
    display: flex;
    flex-direction: column;
    row-gap: 25px;
}

.count-action p {
    display: flex;
    align-items: center;
    margin-bottom: 10px;

    color: rgba(2, 20, 37, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
}

.count-action img {
    height: 20px;
    padding-right: 3px;
}

.count-data p {
    display: flex;
    align-items: center;
    margin-bottom: 10px;

    color: rgba(2, 20, 37, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
}

.count-data img {
    height: 20px;
    padding-right: 3px;
}

.megafon-phone {
    display: none;
    flex-direction: column;
}

.megafon-phone img {
    height: 20px;
    padding-right: 3px;
}

.megafon-phone-desc p {
    display: flex;
    align-items: center;
    margin-bottom: 10px;

    color: rgba(2, 20, 37, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
}

.megafon-select {
    color: rgba(71, 71, 71, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;

    width: 450px;
    padding: 17px 14.3px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 9px;
    /* transition: border 0.2s ease-in; */
}

.add-group-select {
    display: flex;
    flex-direction: column;
    row-gap: 25px;
}

.group-flex {
    display: flex;
    align-items: center;
    column-gap: 20px;
}

.select-group p {
    color: rgba(2, 20, 37, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
    margin-bottom: 10px;
}

.select-group img {
    height: 30px;
    cursor: pointer;
}

.select-group select {
    width: 400px;
    padding: 17px 14.3px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 9px;
}

.create-group-segment {
    display: none;
}

.create-group-segment p {
    color: rgba(2, 20, 37, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
    margin-bottom: 10px;
}

.create-group-segment input {
    width: 450px;
    padding: 17px 14.3px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 9px;
}

.users-data-area {
    padding: 17px 14.3px;
    margin-bottom: 40px;
    width: 465px;
    height: 613px;
    resize: none;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 8px;
}

.count-actions {
    display: flex;
    column-gap: 20px;
    margin-bottom: 17px;
}

.count-actions p {
    color: rgba(2, 20, 37, 0.5);
    font-size: 14px;
    font-weight: 500;
    line-height: 17px;
}

.count-actions-segment {
    color: rgb(2, 20, 37, 0.5);
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    text-align: center;

    width: 105px;
    height: 21px;
    padding: 0 0 0 12px;

    border: 1px solid rgb(181, 181, 181);
    border-radius: 3px;
}

.add-segment {
    width: 250px;
    color: rgb(255, 255, 255);
    font-size: 14px;
    font-weight: 600;
    line-height: 1;

    margin-bottom: 32px;
    height: 55px;
    /* width: 450px; */

    font-weight: 600;
    line-height: 1;

    border-radius: 9px;
    background-color: #62825D;
    transition: background-color 0.3s ease-in;
}

.operator-name-limited {
    width: 368px;
}

.operator-group {
    display: flex;
    flex-direction: column;
    width: 940px;
}

.operator-limited {
    display: flex;
    margin-bottom: 14px;
    max-width: 81%;

    color: rgb(2, 20, 37, 0.5);
    font-size: 14px;
    font-weight: 600;
    line-height: 17px;
}

.operator-limited p:nth-child(odd) {
    color: rgba(0, 0, 0, 0.692);
}

.limit-data {
    padding-left: 225px;
    padding-right: 40px;
}

.operator-checkbox {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin-bottom: 12px;
}

.operator-checkbox-item {
    display: flex;
    align-items: center;
    height: 25px;
}

.operator-checkbox-item img {
    width: 24px;
    height: 24px;
}

.checkbox-operator {
    padding: 0;
    width: 17px;
    height: 17px;
}

.img-operator {
    margin: 0 5px 0 11px;
}

.operator-count {
    text-align: center;
    padding: 0px 0px 0px 14px;
    width: 140px;
    height: 32px;
    border-radius: 3px;
}

.operator-count-group-mts {
    padding-left: 180px;
}

.operator-count-group-megafon {
    padding-left: 150px;
}

.operator-count-group-beeline {
    padding-left: 160px;
}

.operator-count-group-tele2 {
    padding-left: 175px;
}

.operator-geo {
    display: flex;
    align-items: center;
}

.operator-geo input {
    height: 32px;
    width: 445px;
    border-radius: 4px;
    border: 1px solid #aaa;
    padding: 10px 0px 12px 5px;
}

.operator-geo-desc-mts {
    display: flex;
    align-items: center;
    padding-right: 100px;
}

.operator-geo-desc-mts p {
    padding-left: 5px;
}

.operator-geo-desc-megafon {
    display: flex;
    align-items: center;
    padding-right: 70px;
}

.operator-geo-desc-megafon p {
    padding-left: 5px;
}

.operator-geo-desc-beeline {
    display: flex;
    align-items: center;
    padding-right: 78px;
}

.operator-geo-desc-beeline p {
    padding-left: 7px;
}

.operator-geo-desc-tele2 {
    display: flex;
    align-items: center;
    padding-right: 90px;
}

.operator-geo-desc-tele2 p {
    padding-left: 7px;
}

.operator-geo img {
    width: 25px;
}

.operator-geo select {
    height: auto;
}

/* Select */

.select {
    position: relative;
    margin-top: 38px;
}

.select.is-active .select__body {
    display: block;
}

.select.is-active .select__icon {
    transform: rotate(0deg);
}

.select__header {
    display: flex;
    padding: 14.3px;
    width: 368px;
    line-height: 14px;
    border-radius: 8px;
    border: 1px solid rgb(226, 226, 226);
    cursor: pointer;
}

.select__current {
    color: rgb(2, 20, 37, 0.5);
    font-size: 14px;
    border: none;
    width: 120px;
    color:white;
}
#srr::placeholder {
    color: white;
}

.select__current:focus {
    border: none;
}

.select__current:active {
    border: none;
}

.select__icon {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-shrink: 0;
    margin-left: auto;
    transform: rotate(180deg);
}

.select__body {
    position: absolute;
    display: none;
    margin-top: 6px;
    padding: 3px 0 3px 16px;
    left: 0;
    right: 0;
    top: 100%;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 8px;
}

.select__item {
    padding: 12px 0 12px 0;
    font-size: 14px;
    color: rgb(2, 20, 37, 0.5);
    cursor: pointer;
    transition: color 0.3s linear;
}

.select__item:hover {
    color: rgb(2, 20, 37);
}

.select__item:not(:last-child) {
    border-bottom: 1px solid rgba(30, 35, 41, 0.13);
}

.select__item img {
    width: 24px;
    height: 24px;
}

/* Select2 */

/* Select */
.select2-container {
    min-width: 445px;
}

.select2-results__option {
    padding-right: 20px;
    vertical-align: middle;
}
.select2-results__option:before {
    content: "";
    display: inline-block;
    position: relative;
    height: 20px;
    width: 20px;
    border: 2px solid #e9e9e9;
    border-radius: 4px;
    background-color: #fff;
    margin-right: 10px;
    vertical-align: middle;
}
.select2-results__option--selected:before {
    content: "\2714";
    color: #fff;
    background-color: #f77750;
    border: 0;
    display: inline-block;
    padding-left: 4px;
}
.select2-container--default .select2-results__option[aria-selected=true] {
    background-color: #fff;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #eaeaeb;
    color: #272727;
}
.select2-container--default .select2-results__option--selected[aria-selected=false] {
    background-color: #fff;
}
/* .select2-container--default .select2-selection--multiple {
    margin-bottom: 10px;
} */
.select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
    border-radius: 4px;
}
.select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: #f77750;
    border-width: 2px;
}
.select2-container--default .select2-selection--multiple {
    border-width: 2px;
}
.select2-container--open .select2-dropdown--below {
    border-radius: 6px;
    box-shadow: 0 0 10px rgba(0,0,0,0.5);
}

/* All segment */

.confirm-edit {
    margin-bottom: 0;
}

/* Parsing */

.parsing {
    margin-bottom: 38px;
}

.edit-info-wrapper {
    margin-right: 45px;
}

.parsing-desc {
    width: 630px;
}

.form-desc {
    color: rgba(2, 20, 37, 0.8);
    font-weight: 500;
}

.form-group-wrapper {
    display: flex;
    column-gap: 90px;
}

.upload-file {
    position: relative;
    width: 144px;
    height: 28px;
}

.upload-file-input {
    display: none;
}

#upload-data {
    padding: 17px 14px;
    width: 464px;
    height: 548px;
    margin: 11px 0;
    resize: none;

    border: 1px solid rgb(226, 226, 226);
    border-radius: 8px;
}

#upload-data::placeholder {
    font-size: 14px;
    color: rgb(2, 20, 37, 0.5);
}

.upload-row {
    display: flex;
    width: 465px;
    height: 28px;
}

.upload-row p {
    width: 297px;
    color: rgba(2, 20, 37, 0.5);
    font-size: 12.5px;
    font-weight: 400;
    line-height: 1.18;
}

.custom-input {
    position: static;
    width: 144px;
    height: 28px;
    line-height: 17px;
    color: rgba(2, 20, 37);
}

/* Statistic */

.operator-secription {
    margin-bottom: 10px;
}

.statistic-desc {
    width: 630px;
}

.select-wrapper .operator-description {
    margin-bottom: 28px;
    width: 547px;
}

.select-wrapper {
    display: flex;
    justify-content: space-between;
    column-gap: 55px;
    height: 35px;
    padding: 0 65px 0 0;
}

.selects-wrapper {
    display: flex;
    align-items: center;
    column-gap: 55px;
}

.select-wrapper .select {
    position: relative;
    display: flex;
    margin-top: 0;
}

.select-wrapper .select.is-active .select__body {
    display: block;
}

.select-wrapper .select__header {
    display: flex;
    align-items: center;
    width: 169px;
    height: 35px;
    padding: 10.5px 10.5px 10.5px 13px;
    border-radius: 6px;
    background-color: rgb(32, 32, 32);
    cursor: pointer;
}

.select-wrapper .select__current {
    font-size: 14px;
    font-weight: 500;
    line-height: 1;
    padding: 0;
}

.select-wrapper .select__icon {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-shrink: 0;
}

.select-wrapper .select__body {
    position: absolute;
    left: 0;
    right: 0;
    top: 100%;
    display: none;
    width: 150px;
    margin-top: 6px;
    padding: 6px 0;
    border-radius: 6px;
    background-color: #202020;
}

.select-wrapper .select__item {
    display: flex;
    align-items: center;
    cursor: pointer;
    padding: 8.5px 10px;
    margin-bottom: 3px;
    color: #FFF;
    font-size: 13.5px;
    font-weight: 500;
    line-height: 1;
}

.select-wrapper .select__item:hover {
    background-color: rgb(66, 66, 66);
}

.select-wrapper .select__item:last-child {
    margin-bottom: 0;
}

.select-wrapper .select__item p {
    margin-left: 5px;
}

.download-all-data {
    display: flex;
    align-items: center;
    padding: 8.5px 8px;
    border-radius: 5px;
    background: #62825D;
}

.download-all-data a {
    margin-left: 8px;
    color: rgb(255, 255, 255);
    font-size: 12px;
    font-weight: 600;
    line-height: 1;
}

.statistic-segment {
    display: block;
    max-width: 1172px;
    /*margin-right: 25px;*/
}

.statistic-segment + .statistic-segment {
    margin-top: 65px;
}

.statistic-information {
    margin-bottom: 34px;
}

.statistic-information p {
    font-size: 18px;
    font-weight: 600;
}

.name-sections-stat {
    display: flex;
    margin-bottom: 12px;
}

.name-sections-stat li {
    width: 235px;
}

.name-sections-stat li:last-child {
    text-align: right;
}

.name-sections-stat li p {
    color: rgba(2, 20, 37, 0.65);
    font-size: 13px;
    font-weight: 300;
    line-height: 1.2;
}

.segment-desc__list {
    display: flex;
    padding: 18px 52px 18px 44px;
    margin-left: -44px;
    margin-right: -52px;
    background-color: rgb(249, 251, 252);
}

.segment-desc__list li {
    width: 235px;
}

.segment-desc__list li a {
    color: rgba(2, 20, 37);
    font-weight: 700;
    font-size: 18px;
}

.img-segment {
    padding-left: 10px;
}

.img-segment img {
    margin-left: -10px;
    width: 27px;
    height: 27px;
}

/* Чтоб картинки удалялись, менять display на none */
.mts-logo-img {
    display: inline-block;
}

.megafon-logo-img {
    display: inline-block;
}

.tele2-logo-img {
    display: inline-block;
}

.beeline-logo-img {
    display: inline-block;
}
/* ------------------------------------- */

.download-segment {
    text-align: right;
}

.download-segment a {
    display: inline-block;
    width: 27px;
    height: 27px;
}

.download-segment a:hover {
    transform: scale(1.15);
}

.download-segment img {
    padding: 8px;
    width: 27px;
    height: 27px;
    border-radius: 5px;
    background-color: rgba(2, 20, 37, 0.05);
}

.segment-desc__list.white {
    background-color: #FFF;
}

.all-count-segments {
    display: flex;
    column-gap: 25px;
}

.all-count-segments p {
    color: rgba(2, 20, 37, 0.6);
    font-size: 15px;
    font-weight: 500;
    line-height: 1.54;
}

.all-count-segments span {
    color: rgba(2, 20, 37, 0.8);
    font-size: 18px;
    font-weight: 600;
    line-height: 1;
}

/* All segments */

.active-link {
    color: rgba(2, 20, 37);
    font-size: 24px;
    font-weight: 600;
    line-height: 1;
    transition: transfrom, color 0.3s ease-in;
}

.inactive-link {
    color: rgba(2, 20, 37, 0.5);
    font-size: 18px;
    font-weight: 600;
    line-height: 1;
    transition: color 0.3s ease-in;
}

.inactive-link:hover {
    color: rgba(2, 20, 37);
}

.active-link:hover {
    color: rgba(2, 20, 37);
}

.count-group {
    width: 90%;
    padding: 15px 0;
    font-size: 17px;
    font-weight: 700;
}

.count-group-statistic {
    width: 88%;
    padding: 15px 0;
    font-size: 17px;
    font-weight: 700;
}

.group-desc-all-segments + .group-desc-all-segments {
    margin-top: 70px;
}

.name-sections {
    display: grid;
    grid-template-columns: 200px 165px 165px 165px 215px 210px 105px;
    color: rgba(2, 20, 37, 0.5);
}

.name-sections img {
    height: 16px;
}

.all-segment .name-sections li {
    display: flex;
    align-items: center;
    column-gap: 6px;
    height: 21px;
    font-size: 13px;
}

.all-segment .operator-segment {
    width: 120px;
}

.operator-segment img {
    width: 19px;
    height: 19px;
}

.all-segment .data-create {
    width: 161px;
}

.all-segment .action {
    width: 133px;
}

.select-wrapper .select-date {
    width: auto;
}

.select-date .form-calendar {
    display: flex;
}

.btn-calendar {
    padding: 8.5px 20px;
    margin-left: 15px;
    font-size: 14px;
    font-weight: 700;
    color: #FFF;
    border-radius: 6px;
    background-color: rgb(32, 32, 32);
}

.btn-calendar:hover {
    background-color: rgb(65, 65, 65);
}

.btn-calendar button:hover {
    background-color: rgb(65, 65, 65);
}

.select-date .select__header {
    width: auto;
}

.select__header .select__date-input {
    color: #FFF;
    font-size: 14px;
    padding: 0;
    border: none;
    margin-left: 5px;
    width: 195px;
}

.select__date-input::placeholder {
    color: #FFF;
}

.select__header.active .select__icon {
    transform: rotate(0deg);
}

.all-segment {
    display: block;
}

.none-segments {
    display: none;
    text-align: center;
    margin: 0 auto;

    font-size: 16px;
    font-weight: 600;
}

.none-segments a {
    text-decoration: underline;
}

.all-segment-information {
    position: relative;
    margin-bottom: 44px;
}

.count-group-inner {
    display: flex;
    align-items: center;
    padding: 20px 0;
    margin-top: 20px;
}

.count-group-btn {
    display: flex;
    height: 30px;
    width: 150px;
    align-items: center;
    padding: 8.5px 8px;
    border-radius: 5px;
    background: rgb(102, 102, 102);
    margin-right: 30px;
}

.count-group-btn-stat {
    display: flex;
    height: 30px;
    width: 150px;
    align-items: center;
    padding: 8.5px 8px;
    border-radius: 5px;
    background: rgb(102, 102, 102);
}

.count-group-btn-stat a {
    margin-left: 8px;
    color: rgb(255, 255, 255);
    font-size: 12px;
    font-weight: 600;
    line-height: 1;
}

.count-group-btn a {
    margin-left: 8px;
    color: rgb(255, 255, 255);
    font-size: 12px;
    font-weight: 600;
    line-height: 1;
}

.download-all-data {
    position: absolute;
    top: -50px;
    right: 28px;
}

.download-all-data-stat {
    display: flex;
    align-items: center;
    padding: 8.5px 8px;
    border-radius: 5px;
    background: #62825D;
}

.download-all-data-stat a {
    margin-left: 8px;
    color: rgb(255, 255, 255);
    font-size: 12px;
    font-weight: 600;
    line-height: 1;
}

.allsegment-desc__list {
    display: grid;
    align-items: center;
    column-gap: 10px;
    grid-template-columns: 200px 160px 160px 160px 160px 200px 145px;
    grid-template-rows: 45px;
}

.allsegment-desc__list.white {
    background-color: #fff;
}

.allsegment-desc__list .panel-segment {
    margin-right: 39px;
}

.allsegment-desc__list .panel-segment a:last-child {
    margin-left: 10px;
}

.panel-segment a:hover {
    transform: scale(1.15);
}

.name-segment a {
    color: rgb(2, 20, 37);
    text-decoration: underline;
}

.inactive-count a {
    display: inline-block;
    width: 100px;
    color: rgba(2, 20, 37, 0.7);
    font-style: italic;
    font-size: 13px;
    font-weight: 400;
    line-height: 1;
    text-decoration: underline;
    cursor: default;
}

.inactive-count.no-data {
    padding: 11px 0 11px 9px;
    margin-left: -9px;
    border-radius: 6px;
    background: rgba(218, 33, 30, 0.12);
}

/* Модальное оконо */

.modal {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    visibility: hidden;
    z-index: 0;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #000;
    visibility: hidden;
    opacity: 0;
    z-index: -1;
}

.modal-window {
    position: relative;
    z-index: 2;

    padding: 34px 34px 41px 37px;
    border-radius: 12px;
    background-color: rgb(255, 255, 255);
}

.modal-window__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 46px;
    width: 850px;
}

.modal-window__header img {
    position: absolute;
    top: 10px;
    right: 10px;
}

.modal-window__title h4 {
    color: rgba(2, 20, 37, 0.8);
    font-size: 24px;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 12px;
}

.modal-window__title p {
    color: rgba(2, 20, 37, 0.6);
    font-size: 15px;
    font-weight: 400;
    line-height: 1.54;
}

.modal__close {
    opacity: 0.5;
    cursor: pointer;
}

.modal__close:hover {
    opacity: 1;
}

.modal-window__main {
    display: flex;
    flex-direction: column;
    width: 850px;
}

.modal .form-group {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.form-group-title {
    color: rgba(2, 20, 37, 0.8);
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
    margin-bottom: 11px;
}

.textarea-idea {
    padding: 17px 14.5px;
    margin-bottom: 24px;
    resize: none;
    width: 850px;
    height: 317px;
    border-radius: 8px;
    border: 1px solid rgb(226, 226, 226);
}

.btn-idea {
    width: 247px;
    margin-bottom: 0;
    color: rgb(255, 255, 255);
    font-size: 14px;
    font-weight: 500;
    line-height: 1;
}

.btn-idea:active {
    color: #000;
}

.modal-btn {
    background-color: #62825D;
    padding-top: 15px;
    padding-bottom: 15px;
    border-radius: 10px;
    border: 1px solid #62825D;
}

.label-new-segment__row {
    display: flex;
    column-gap: 25px;
}


@media (min-width: 1279px) and (max-width: 1439px) {
    .main-content {
        overflow-x: hidden;
        left: 25%;
    }

    .label-entity > .text-requisites {
        width: 570px;
    }
    
    .header-top {
        width: 844px;
    }

    .edit-info-wrapper {
        row-gap: 50px;
        flex-direction: column;
    }

    .add-new-segment-inner {
        row-gap: 50px;
        flex-direction: column;
    }

    .edit-entity-info {
        flex-wrap: nowrap;
        height: auto;
    }

    .content {
        width: 844px;
    }

    .content-entity {
        width: 844px;
    }

    /* API */
    .input-api {
        width: 690px;
    }

    .label-api {
        width: auto;
    }

    /* Parsing */
    #upload-data {
        width: 340px;
    }

    .custom-input {
        margin-left: 0;
    }

    .upload-row {
        flex-direction: column;
        row-gap: 12px;
    }

    .edit-information button {
        margin-top: 60px;
    }

    .form-desc {
        width: 340px;
    }

    .form-group-wrapper form {
        width: 340px;
    }

    .upload-row {
        width: 340px;
    }

    .form-group-wrapper {
        column-gap: 75px;
    }

    .accordion-item__trigger {
        width: 780px;
    }

    .accordion-item {
        width: 780px;
    }

    .accordion-item:not(:last-child) {
        width: 780px;
    }

    .add-new-segment-inner {
        flex-direction: column-reverse;
    }

    /* New segment */
    .select__body {
        background-color: #fff;
    }

    .input-new-segment {
        width: 340px;
    }

    /* All segment */
    .download-all-data {
        right: 10px;
    }

    .name-sections {
        max-width: 844px;
    }

    .all-segment .name-sections li:last-child {
        padding-left: 45px;
    }

    .select-wrapper {
        padding: 0 25px 0 0;
    }
}

@media (min-width: 1440px) and (max-width: 1580px) {
    .content {
        padding: 34px 0 50px 30px;
    }
    
    .main-content {
        left: 18%;
    }

    .all-segment .name-sections li:last-child {
        margin-right: 5px;
    }
    .allsegment-desc__list {
        grid-template-columns: 150px 140px 140px 140px 140px 180px 150px;
    }
    .name-sections {
        grid-template-columns: 150px 140px 150px 150px 185px 200px 105px;
    }

    .count-group-btn {
        margin-right: 60px;
    }

    .download-all-data-stat {
        right: 26px;
    }

    .download-all-data {
        right: 60px;
    }

    .select-wrapper {
        padding: 0 25px 0 0;
    }
}

@media (min-width: 1580px) and (max-width: 1630px) {
    .download-all-data-stat {
        right: 50px;
    }
}
